# $Id: pgrpm.spec 100595 2006-12-20 20:44:47Z nanardon $

%define name pgrpm
%define version 0.1.5.1
%define release %mkrel 2

Summary: rpm binding for postgresql
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Databases
Url: http://pgfoundry.org/projects/pgrpm/
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: postgresql-devel
BuildRequires: rpm-devel
%if %{?pgmodules_req:1}%{!?pgmodules_req:0}
%pgmodules_req
%endif

%description
This contribution to postgres provides functions and operators to allow
sorting and checking strings version like rpm does.

%prep
%setup -q

%build
%make

cat > README.urpmi <<EOF
Remember to run %_datadir/pgsql/contrib/pgrpm.sql or
%_datadir/pgsql/contrib/pgrpm-update.sql to finalyze
installation into your postgresql server.
Something like:
  psql -U postgres template1 < FILE
should works.
EOF

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

rm -fr %buildroot%_datadir/doc/postgresql

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README*
%_libdir/pgsql/*.so
%_datadir/pgsql/contrib/*



%changelog
* Wed Dec 20 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.5.1-2mdv2007.0
+ Revision: 100595
- fix buildrequires when building srpms w/o deps
- rebuild for postgresql
- pgrpm-0.1.5.1-1mdv2007.0
- pgrpm-0.1.5-1mdv2007.0
- pgrpm-0.1.4-5mdv2007.0
- initial import



* Tue Jun 20 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.5.1-1mdv2007.0
- 0.1.5.1

* Mon Jun 19 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.5-1mdv2007.0
- 0.1.5

* Wed Mar 15 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.4-5mdk
- rebuild for latest rpm

* Wed Mar 15 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.4-4mdk
- ???

* Fri Jan 06 2006 Olivier Thauvin <nanardon@mandriva.org> 0.1.4-3mdk
- rebuild for rpm 4.4.4

* Fri Nov 11 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.4-2mdk
- add %%pgmodules_req to ensure proper update

* Thu Nov 10 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.4-2mdk
- rebuild for latest postgres

* Wed Sep 28 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.4-1mdk
- 0.1.4

* Sat Sep 17 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.3.2-1mdk
- 0.1.3.2

* Sun Aug 21 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.3.1-1mdk
- 0.1.3.1

* Sun Aug 21 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.3-1mdk
- 0.1.3

* Mon May 16 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.2-1mdk
- 0.1.2

* Wed May 11 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-2mdk
- rebuild for rpm

* Thu Apr 21 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.1-1mdk
- 0.1.1

* Wed Apr 20 2005 Olivier Thauvin <nanardon@mandriva.org> 0.1.0-1mdk
- 0.1.0

* Sat Mar 26 2005 Olivier Thauvin <nanardon@mandrake.org> 0.0.2-1mdk
- 0.0.2

* Thu Mar 24 2005 Olivier Thauvin <nanardon@mandrake.org> 0.0.1-2mdk
- patch0: fix create function

* Wed Mar 23 2005 Olivier Thauvin <nanardon@mandrake.org> 0.0.1-1mdk
- 1st package
